<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.oracle.DataFlickerOracleMapper">

    <select id="getTwoCountForDataIntegrityRate" resultType="com.njcn.prepare.harmonic.pojo.vo.DataFlickerOracleVO">
        SELECT
        LINEID,
        COUNT( PST ) AS pstCount,
        COUNT( PLT ) AS pltCount
        FROM
        DATA_FLICKER
        WHERE
        <![CDATA[TIMEID >= #{startTime}]]>
        AND <![CDATA[TIMEID <= #{endTime}]]>
        AND LINEID = #{lineId}
        AND PHASIC_TYPE = 'A'
        GROUP BY
        LINEID
    </select>
</mapper>